Cambrionix connect
Developers
Locations API

Organization Locations

Endpoints for managing organization locations.

Create a new organization location.

POST

/locations/v1/location

Create a new organization location.

Requires a bearer access token for this API with the Organization.Locations.Write permission. See Authentication.

Request body

object
addressobjectrequired
attributesmap of string
descriptionstring
namestringrequired
typestringrequired

One of: "warehouse", "office", "retail", "other"

viewportobject

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/locations/v1/location" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "address": {
    "components": [
      {
        "types": []
      }
    ],
    "formatted": "string",
    "location": {
      "latitude": 0,
      "longitude": 0
    }
  },
  "description": "string",
  "name": "string",
  "type": "warehouse",
  "viewport": {
    "northeast": {
      "latitude": 0,
      "longitude": 0
    },
    "southwest": {
      "latitude": 0,
      "longitude": 0
    }
  }
}'

Get all organization locations.

GET

/locations/v1/locations

Get all organization locations.

Requires a bearer access token for this API with the Organization.Locations.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200
object
_metadataobject
resultOrganizationLocation[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/locations/v1/locations" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get an organization location.

GET

/locations/v1/locations/{locationId}

Get an organization location.

Requires a bearer access token for this API with the Organization.Locations.Read permission. See Authentication.

Parameters

locationIdstringpathrequired

Path parameter

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/locations/v1/locations/{locationId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update an organization location.

PATCH

/locations/v1/locations/{locationId}

Update an organization location.

Requires a bearer access token for this API with the Organization.Locations.Write permission. See Authentication.

Parameters

locationIdstringpathrequired

Path parameter

Request body

object
addressobject
attributesmap of string
descriptionstring
namestring
typestring

One of: "warehouse", "office", "retail", "other"

viewportobject

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/locations/v1/locations/{locationId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "address": {
    "components": [
      {
        "types": []
      }
    ],
    "formatted": "string",
    "location": {
      "latitude": 0,
      "longitude": 0
    }
  },
  "description": "string",
  "name": "string",
  "type": "warehouse",
  "viewport": {
    "northeast": {
      "latitude": 0,
      "longitude": 0
    },
    "southwest": {
      "latitude": 0,
      "longitude": 0
    }
  }
}'

Delete an organization location.

DELETE

/locations/v1/locations/{locationId}

Delete an organization location.

Requires a bearer access token for this API with the Organization.Locations.Write permission. See Authentication.

Parameters

locationIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/locations/v1/locations/{locationId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"